Subject: bug#49424: 27.2; Misdocumented default initialisation file

From: Robert Pluim <[email-masked]>
Date: Wed, 07 Jul 2021 15:10:24 +0200

>>>>> On Wed, 07 Jul 2021 13:28:30 +0200, Rudolf Schlatte <[email-masked]> said:

    Rudolf> Robert Pluim <[email-masked]> writes:

    >> Emacs will prefer the XDG path if it exists and .emacs.d/init.el and
    >> .emacs donʼt. Similarly Emacs will prefer .emacs.d/init.el if it
    >> exists and .emacs doesnʼt.

    Rudolf> I wonder if it would make sense to warn during startup if more than one
    Rudolf> of these files exist, something like: "Warning: multiple init files
    Rudolf> detected.  Using ~/.emacs as init file, ignoring ~/.emacs.d/init.el"

A warning prominent enough for people to notice would also be annoying
enough that people would complain about us changing the status quo out
from under them. The best we could do is putting something in
*Messages*, I suspect

Robert
--